- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Friends | List of all members
STOFFEntry Class Reference

basic class to store an entry in a file This contained : More...

`#include <STOFFEntry.hxx>`

## Public Member Functions
| STOFFEntry ()
| constructor More...
virtual | ~STOFFEntry ()
void | setBegin (long off)
| sets the begin offset More...
void | setLength (long l)
| sets the zone size More...
void | setEnd (long off)
| sets the end offset More...
long | begin () const
| returns the begin offset More...
long | end () const
| returns the end offset More...
long | length () const
| returns the length of the zone More...
bool | valid () const
| returns true if the zone length is positive More...
bool | operator== (const STOFFEntry &a) const
| basic operator== More...
bool | operator!= (const STOFFEntry &a) const
| basic operator!= More...
bool | isParsed () const
| a flag to know if the entry was parsed or not More...
void | setParsed (bool ok=true) const
| sets the flag m_parsed to true or false More...
void | setType (std::string const &newType)
| sets the type of the entry: BTEP,FDPP, BTEC, FDPC, PLC , TEXT, ... More...
std::string const & | type () const
| returns the type of the entry More...
bool | hasType (std::string const &typ) const
| returns true if the type entry == type More...
void | setName (std::string const &nam)
| sets the name of the entry More...
std::string const & | name () const
| name of the entry More...
bool | hasName (std::string const &nam) const
| checks if the entry name is equal to name More...
int | id () const
| returns the id More...
void | setId (int newId)
| sets the id More...
std::string const & | extra () const
| retrieves the extra string More...
void | setExtra (std::string const &s)
| sets the extra string More...

## Protected Attributes
long | m_begin
| the begin of the entry. More...
long | m_length
| the size of the entry More...
std::string | m_type
| the entry type More...
std::string | m_name
| the name More...
int | m_id
| an identificator More...
bool | m_parsed
| a bool to store if the entry is or not parsed More...
std::string | m_extra
| an extra string More...

## Friends
std::ostream & | operator<< (std::ostream &o, STOFFEntry const &ent)

## Detailed Description

basic class to store an entry in a file This contained :

- its begin and end positions
- its type, its name and an identificator
- a flag used to know if the file is or not parsed

## Constructor & Destructor Documentation

STOFFEntry::STOFFEntry | ( |  | ) |
| inline

constructor

virtual STOFFEntry::~STOFFEntry | ( |  | ) |
| inline virtual

## Member Function Documentation

long STOFFEntry::begin | ( |  | ) | const
| inline

returns the begin offset

long STOFFEntry::end | ( |  | ) | const
| inline

returns the end offset

std::string const& STOFFEntry::extra | ( |  | ) | const
| inline

retrieves the extra string

bool STOFFEntry::hasName | ( | std::string const & | nam | ) | const
| inline

checks if the entry name is equal to name

bool STOFFEntry::hasType | ( | std::string const & | typ | ) | const
| inline

returns true if the type entry == type

int STOFFEntry::id | ( |  | ) | const
| inline

returns the id

bool STOFFEntry::isParsed | ( |  | ) | const
| inline

a flag to know if the entry was parsed or not

long STOFFEntry::length | ( |  | ) | const
| inline

returns the length of the zone

std::string const& STOFFEntry::name | ( |  | ) | const
| inline

name of the entry

bool STOFFEntry::operator!= | ( | const STOFFEntry & | a | ) | const
| inline

basic operator!=

bool STOFFEntry::operator== | ( | const STOFFEntry & | a | ) | const
| inline

basic operator==

Referenced by operator!=().

void STOFFEntry::setBegin | ( | long | off | ) |
| inline

sets the begin offset

void STOFFEntry::setEnd | ( | long | off | ) |
| inline

sets the end offset

void STOFFEntry::setExtra | ( | std::string const & | s | ) |
| inline

sets the extra string

void STOFFEntry::setId | ( | int | newId | ) |
| inline

sets the id

void STOFFEntry::setLength | ( | long | l | ) |
| inline

sets the zone size

void STOFFEntry::setName | ( | std::string const & | nam | ) |
| inline

sets the name of the entry

void STOFFEntry::setParsed | ( | bool | ok = `true` | ) | const
| inline

sets the flag m_parsed to true or false

void STOFFEntry::setType | ( | std::string const & | newType | ) |
| inline

sets the type of the entry: BTEP,FDPP, BTEC, FDPC, PLC , TEXT, ...

std::string const& STOFFEntry::type | ( |  | ) | const
| inline

returns the type of the entry

bool STOFFEntry::valid | ( |  | ) | const
| inline

returns true if the zone length is positive

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | STOFFEntry const & | ent
| ) |  |
| friend

## Member Data Documentation

long STOFFEntry::m_begin
| protected

the begin of the entry.

Referenced by begin(), end(), operator==(), setBegin(), setEnd(), and valid().

std::string STOFFEntry::m_extra
| protected

an extra string

Referenced by extra(), and setExtra().

int STOFFEntry::m_id
| protected

an identificator

Referenced by id(), operator==(), and setId().

long STOFFEntry::m_length
| protected

the size of the entry

Referenced by end(), length(), operator==(), setEnd(), setLength(), and valid().

std::string STOFFEntry::m_name
| protected

the name

Referenced by hasName(), name(), operator==(), and setName().

bool STOFFEntry::m_parsed
| mutable protected

a bool to store if the entry is or not parsed

Referenced by isParsed(), and setParsed().

std::string STOFFEntry::m_type
| protected

the entry type

Referenced by hasType(), operator==(), setType(), and type().

The documentation for this class was generated from the following file:

- STOFFEntry.hxx